Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 77262 - Problem emerging net-dialup/ppp-2.4.3-r1
Summary: Problem emerging net-dialup/ppp-2.4.3-r1
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Dialup Developers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-09 12:18 UTC by Nigel Elliott
Modified: 2005-01-09 23:28 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
output of failed patching (fixes-from-upstream-cvs.patch-26365.out,6.86 KB, text/plain)
2005-01-09 12:51 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nigel Elliott 2005-01-09 12:18:42 UTC
When I try to emerge ppp-2.4.3-r1 I get the following message:

* Failed Patch: fixes-from-upstream-cvs.patch!
*
* Include in your bugreport the contents of:
*
* /var/tmp/portage/ppp-2.4.3-r1/temp/fixes-from-upstream-cvs.patch-20025.out

Looking at the output file it seems it cannot apply the patch. I have included a small example of the output from the file:

***** fixes-from-upstream-cvs.patch *****

=========================================

PATCH COMMAND: patch -p0 -g0 < /usr/portage/net-dialup/ppp/files/2.4.3/fixes-from-upstream-cvs.patch

=========================================
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Patches from upstream CVS for bug IDs 1103-1106.
|diff -Nru ppp-2.4.3.orig/pppd/auth.c ppp-2.4.3/pppd/auth.c
|--- ppp-2.4.3.orig/pppd/auth.c 2004-11-12 12:30:51.000000000 +0200
|+++ ppp-2.4.3/pppd/auth.c 2005-01-09 15:42:42.938985272 +0200
--------------------------
No file to patch. Skipping patch.
4 out of 4 hunks ignored

I don't know if it is my setup or a general problem with this release.

Any help would be greatly appreciated.

Reproducible: Always
Steps to Reproduce:
1. emerge sync (To get the latest snapshot) Only do this once to get the new ppp ebuild
2. emerge ppp (This will update the PPP driver
3. Error occurs when trying to apply the patches

Actual Results:  
Error occurs when trying to apply the patches

Error can be found in the detail section

Expected Results:  
Emerge should have successfully completed.

elliott-nm etc # emerge info
Portage 2.0.51-r8 (default-linux/x86/2004.3, gcc-3.4.3, glibc-2.3.4.20041102-r0,
2.6.10-nitro4 i686)
=================================================================
System uname: 2.6.10-nitro4 i686 AMD Sempron(tm)   2600+
Gentoo Base System version 1.6.8
Python:              dev-lang/python-2.3.4 [2.3.4 (#1, Jan  5 2005, 22:38:15)]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.4
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.8.5-r2, 1.6.3, 1.9.3, 1.5, 1.7.9
sys-devel/binutils:  2.15.92.0.2-r2
sys-devel/libtool:   1.5.10-r2
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://ftp.easynet.nl/mirror/gentoo/
http://ftp.heanet.ie/pub/gentoo/ ftp://mir.zyrianes.net/gentoo/
http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowex X acl acpi acpi4linux aim alsa amd apm artworkextra atm
audiofile avi bash-completion bitmap-fonts cddb cdr cdrom crypt cups dvd dvdr
fam foomaticdb fortran gif gnome gpm gstreamer gtk gtk2 hal icq imagemagick
imlib ipv6 java javascript jikes jpeg libwww live mad mikmod mmx mmx2 motif mp3
mpeg mplayer msn ncurses nls no-biodata no-emboss no-old-linux no-rawdb
no-readseq no-utils nocardbus nptl nptlonly nvidia oav offensive oggvorbis
opengl opie oscar oss pam pda pdflib perl png python quicktime readline real rtc
scanner sdl silc spell sse sse2 ssl svga tcpd tiff truetype truetype-fonts
type1-fonts xml xml2 xmms xv yahoo zlib"
Comment 1 Ulrich Plate (RETIRED) gentoo-dev 2005-01-09 12:41:41 UTC
Same here, identical error message.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2005-01-09 12:51:18 UTC
Created attachment 48041 [details]
output of failed patching

Hi,

same error here. Attached is the output of the failed patching action

Poly
Comment 3 Alin Năstac (RETIRED) gentoo-dev 2005-01-09 16:30:49 UTC
patch fixed.
it was an unfortunate side effect of CVS commit command. 
Comment 4 Nigel Elliott 2005-01-09 23:28:43 UTC
Did an emerge sync and then an emerge ppp and it all worked perfectly. I am happy for the bug to be closed.